Update beneficial owner - Dwolla Developer Portal
Documentation Index
Fetch the complete documentation index at: /llms.txt
Use this file to discover all available pages before exploring further.
POST
https://api.dwolla.comhttps://api-sandbox.dwolla.com
/beneficial-owners /{id}
cURL
POST https://api-sandbox.dwolla.com/beneficial-owners/07d59716-ef22-4fe6-98e8-f3190233dfb8
Content-Type: application/vnd.dwolla.v1.hal+json
Accept: application/vnd.dwolla.v1.hal+json
Authorization: Bearer pBA9fVDBEyYZCEsLf/wKehyh1RTpzjUj5KzIRfDi0wKTii7DqY
{
"firstName": "beneficial",
"lastName": "owner",
"ssn": "123-54-6789",
"dateOfBirth": "1963-11-11",
"address": {
"address1": "123 Main St.",
"address2": "Apt 123",
"city": "Des Moines",
"stateProvinceRegion": "IA",
"country": "US",
"postalCode": "50309"
}
}
Using dwolla-v2 - https://github.com/Dwolla/dwolla-v2-node
var beneficialOwnerUrl = 'https://api-sandbox.dwolla.com/beneficial-owners/07d59716-ef22-4fe6-98e8-f3190233dfb8';
var requestBody = {
firstName: 'beneficial',
lastName: 'owner',
dateOfBirth: '1963-11-11',
ssn: '123-54-6789',
address: {
address1: '123 Main St',
city: 'Des Moines',
stateProvinceRegion: 'IA',
country: 'US',
postalCode: '50309'
}
};
dwolla
.post(beneficialOwnerUrl, requestBody)
.then(res => res.body.id); // => '00cb67f2-768c-4ee3-ac81-73bc4faf9c2b'
Using dwollav2 - https://github.com/Dwolla/dwolla-v2-python
beneficial_owner_url = 'https://api-sandbox.dwolla.com/beneficial-owners/07d59716-ef22-4fe6-98e8-f3190233dfb8'
request_body = {
'firstName': 'beneficial',
'lastName': 'owner',
'dateOfBirth': '1963-11-11',
'ssn': '123-54-6789',
'address': {
'address1': '123 Main St',
'city': 'Des Moines',
'stateProvinceRegion': 'IA',
'country': 'US',
'postalCode': '50309'
}
}
update_beneficial_owner = app_token.post(beneficial_owner_url, request_body)
update_beneficial_owner.body['id'] # => '00cb67f2-768c-4ee3-ac81-73bc4faf9c2b'
Using dwollaswagger - https://github.com/Dwolla/dwolla-swagger-php
$beneficialOwnersApi = new DwollaSwagger\BeneficialownersApi($apiClient);
$beneficialOwnerUrl = 'https://api-sandbox.dwolla.com/beneficial-owners/07d59716-ef22-4fe6-98e8-f3190233dfb8';
$updateBeneficialOwner = $beneficialOwnersApi->update([
'firstName' => 'beneficial',
'lastName'=> 'owner',
'dateOfBirth' => '1963-11-11',
'ssn' => '123-54-6789',
'address' =>[
'address1' => '123 Main St.',
'address2' => 'Apt 123',
'city' => 'Des Moines',
'stateProvinceRegion' => 'IA',
'postalCode' => '50309',
'country' => 'US'
],
], $beneficialOwnerUrl);
$updateBeneficialOwner->id; # => "00cb67f2-768c-4ee3-ac81-73bc4faf9c2b"
Using dwolla_v2 - https://github.com/Dwolla/dwolla-v2-ruby
beneficial_owner_url = 'https://api-sandbox.dwolla.com/beneficial-owners/07d59716-ef22-4fe6-98e8-f3190233dfb8'
request_body = {
:firstName => 'beneficial',
:lastName => 'owner',
:ssn => '123-54-6789',
:dateOfBirth => '1963-11-11',
:address => {
:address1 => '123 Main St',
:city => 'Des Moines',
:stateProvinceRegion => 'IA',
:country => 'US',
:postalCode => '50309'
}
}
update_beneficial_owner = app_token.post beneficial_owner_url, request_body
update_beneficial_owner.id # => "00cb67f2-768c-4ee3-ac81-73bc4faf9c2b"
Response Codes
- 200: Successful operation
- 400: Bad request
- 403: Forbidden
- 404: Not found
Sample Responses
{
"_links": {},
"id": "d3d6b41e-5567-4bc6-9c6e-0efd0a3e647e",
"firstName": "John",
"lastName": "Doe",
"address": {
"address1": "462 Main Street",
"city": "Des Moines",
"country": "USA",
"stateProvinceRegion": "IA",
"address2": "Suite 123",
"address3": "Unit 123",
"postalCode": "50309"
},
"verificationStatus": "verified",
"created": "2022-07-23T00:18:21.419Z"
}
{
"code": "ValidationError",
"message": "Validation error(s) present. See embedded errors list for more details.",
"_embedded": {
"code": "ValidationError",
"message": "Validation error(s) present. See embedded errors list for more details."
}
}
{
"code": "forbidden",
"message": "Not authorized to update beneficial owner."
}
{
"code": "notFound",
"message": "owner not found."
}
Authorizations
Authorization
- Type: string
- Location: header
- Required: Yes
- Description: The access token received from the authorization server in the OAuth 2.0 flow.
Headers
- Accept:
application/vnd.dwolla.v1.hal+json(default) - required
Body Parameters
- firstName (string, required)
- lastName (string, required)
- dateOfBirth (string, required)
- ssn (string, required)
- address (object, required)
Example Body
{
"firstName": "beneficial",
"lastName": "owner",
"ssn": "123-54-6789",
"dateOfBirth": "1963-11-11",
"address": {
"address1": "123 Main St.",
"address2": "Apt 123",
"city": "Des Moines",
"stateProvinceRegion": "IA",
"country": "US",
"postalCode": "50309"
}
}